function y = embedWithDiff(x, lags)
% [mix] = gmmemTrain(covartype,kmix,trainDataM,options)
%
% Input Variables
%       x - scalar time series
%       lags - vector of lags
%
% Output Variables
%       y - phase space with first difference appended
%
% Language - MATLAB
%  
% Description:
% this version of embed takes in a scalar time series and embeds in a phase space normally and also includes additional
% the difference vectors producing a 2*m dimensional phase space where the first m dimensions are the orginal phase space
% and the remaining m dimensions are difference between those vectors so that trajectory information is incorporated

%
% Created:     
%               Date: 5/14/2003
%               By:  Andrew Lindgren
%               Marquette University

x = embed(x,lags)';     % embed the data as normally do
m = length(lags) +1;    % number of dimensions in the orginal phase space
y = x(1:length(x)-1,:); % chops off last row of the matrix because we need a the rectanglur matrix
y(:,m+1:2*m) = diff(x); % computes the difference information






    